%option main

%x lire
%x analyse_av

contenu_de_chaine ([^"]|\\"")*
chaine  \"{contenu_de_chaine}\"

baliseouv \<
balisefer \>

balises a|A|img|IMG


attribut href|src
attribut_valeur {attribut}={chaine}

blancs [ \t\n]+
 
%%

{baliseouv}{balises} {BEGIN(lire);} 
<lire>{
{balisefer}     {BEGIN(INITIAL);}
{attribut_valeur}  {BEGIN(analyse_av);yyless(0);}
}

<analyse_av>{
{attribut}=\" {}
{contenu_de_chaine} {printf("%s\n",yytext);}
\" {BEGIN(lire);}
}

<INITIAL,lire>.|\n {}

%%
